package at.xaxa.ledger.ui

import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.currentBackStackEntryAsState
import androidx.navigation.compose.rememberNavController
import at.xaxa.ledger.ui.home.Home

enum class AppRoutes(val route: String) {
    Home("home"),
    Add("add"),
    Edit("edit/{gameId}")
}

@Composable
fun LedgerApp(modifier: Modifier = Modifier){
    val navController = rememberNavController()
    val currentRoute = navController.currentBackStackEntryAsState().value?.destination?.route

    Scaffold() { innerPadding ->
        NavHost(
            navController = navController,
            startDestination = AppRoutes.Home.route,
            modifier = Modifier.padding(innerPadding),
            contentAlignment = Alignment.Center
        ) {
            composable(AppRoutes.Home.route){
                Home(onCardClick = {
                    navController.navigate("home")
                })
            }
            /*
            composable(AppRoutes.Add.route) {
                SearchList(onCardClick = {
                    navController.navigate("add/$it")
                })
            }
            composable(
                route = AppRoutes.Edit.route,
                arguments = listOf(navArgument("gameId") {
                    type = NavType.IntType
                })
            ) {
                    backStackEntry ->
                DetailView(
                    modifier = Modifier
                )
            }*/
        }
    }
}